## tdelibs-trinity 14.1.6~pre13

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdelibs )

set( PACKAGE tdelibs )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )
include( CheckCSourceRuns )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules #################

include( TDEMacros )
include( TDESetupPaths )


##### setup and find essential stuff ############

tde_setup_paths( )
tde_setup_compiler_flags( )
enable_testing( )
find_package( TQt )

list( APPEND TDECORE_LIBRARY_DIRS ${TQT_LIBRARY_DIRS} )


##### add apidox targets ############

add_custom_target( apidox
  COMMAND ${CMAKE_COMMAND} -E env
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### user requested OPTIONs ####################

option( WITH_ALL_OPTIONS "Enable all OPTIONal support" OFF )

option( TDE_MALLOC "Use own malloc implementation" OFF )
option( TDE_MALLOC_DEBUG "Enable debugging in fast malloc" OFF )
option( TDE_MALLOC_FULL "Make alloc as fast as possible" OFF )

option( WITH_ARTS "Build with aRts" ON )
option( WITH_ALSA "Enable ALSA support" ON )
option( WITH_LIBART "Enable libart support (for SVG icons)" ${WITH_ALL_OPTIONS} )
option( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
option( WITH_SSL "Enable support for SSL" ON )
option( WITH_CUPS "Enable CUPS support" ON )
option( WITH_IMAGETOPS_BINARY "Enable installation of imagetops binary" ${WITH_ALL_OPTIONS} )
option( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
option( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
option( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
option( WITH_WEBP "Enable WebP support" ${WITH_ALL_OPTIONS} )
option( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
option( WITH_UTEMPTER "Use utempter for utmp management" ${WITH_ALL_OPTIONS} )
option( WITH_AVAHI "Enable AVAHI support" ${WITH_ALL_OPTIONS} )
option( WITH_ELFICON "Enable ELF embedded icon support" ${WITH_ALL_OPTIONS} )
option( WITH_PCRE2 "Enable pcre2 regex support for kjs" ON )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_INOTIFY "Enable inotify support for tdeio" ON )
option( WITH_GAMIN "Enable FAM/GAMIN support" ${WITH_ALL_OPTIONS} )
option( WITH_TDEHWLIB "Enable TDE hwlib globally" ON )
option( WITH_TDEHWLIB_DAEMONS "Enable daemons for TDE hwlib" ${WITH_TDEHWLIB} )
option( WITH_DEVKITPOWER "Enable DeviceKit Power support" OFF )
option( WITH_LOGINDPOWER "Enable Logind/Systemd Power support" OFF )
option( WITH_UPOWER "Enable uPower support" ${WITH_ALL_OPTIONS} )
option( WITH_UDISKS "Enable uDisks support" ${WITH_ALL_OPTIONS} )
option( WITH_UDISKS2 "Enable uDisks2 support" ${WITH_ALL_OPTIONS} )
option( WITH_UDEVIL "Enable udevil support" ${WITH_ALL_OPTIONS} )
option( WITH_CONSOLEKIT "Enable ConsoleKit support" ${WITH_ALL_OPTIONS} )
option( WITH_NETWORK_MANAGER_BACKEND "Enable network-manager support" OFF )
option( WITH_SUDO_TDESU_BACKEND "Use sudo as backend for tdesu (default is su)" OFF )
option( WITH_OLD_XDG_STD "Use the pre R14.0.0 XDG standard where both TDE and KDE are recognized in desktop files" OFF )
option( WITH_PCSC "Enable PC/SC SmartCard support" ${WITH_ALL_OPTIONS} )
option( WITH_PKCS "Enable PKCS support" ${WITH_ALL_OPTIONS} )
option( WITH_CRYPTSETUP "Enable cryptsetup support" ${WITH_ALL_OPTIONS} )
option( WITH_LZMA "Enable support for LZMA/XZ" ${WITH_ALL_OPTIONS} )
option( WITH_LIBBFD "Enable pretty backtraces with libbfd from GNU binutils" OFF )
option( WITH_XRANDR "Build the tderandr library" ON )
option( WITH_XCOMPOSITE "Enable xcomposite support" ON )
option( WITH_MITSHM "Use MIT-SHM for pixmap loading/saving" ${WITH_ALL_OPTIONS} )
option( WITH_KDE4_MENU_SUFFIX "Add [KDE4] tag to KDE4 menu items" OFF )

option( WITH_ISPELL "Enable ispell support" ON )
option( WITH_ASPELL "Enable aspell support" ${WITH_ALL_OPTIONS} )
option( WITH_HSPELL "Enable hspell support" ${WITH_ALL_OPTIONS} )

option( WITH_TDEICONLOADER_DEBUG "Enable debugging in TDEIconLoader class" OFF )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:${PKGCONFIG_INSTALL_DIR}:${LIB_INSTALL_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )


##### check for CPU architecture ################

### FIXME fast malloc is also available on x86_64 architecture?
if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  set( TDE_MALLOC_X86 1 )
  message( STATUS "Found x86 architecture" )
else( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  if( TDE_MALLOC )
    message( FATAL_ERROR "\nKDE fast malloc is available only on x86 architecture" )
  endif( TDE_MALLOC )
endif( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )


##### check for operating system ################

if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
  set( TDEINIT_SETUID 1 )
  set( TDEINIT_OOM_PROTECT 1 )
endif( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )


##### get the system's default path for libraries

tde_save_and_set( CMAKE_INSTALL_PREFIX "/usr" )
include( GNUInstallDirs OPTIONAL )
if( CMAKE_INSTALL_LIBDIR )
  set( SYSTEM_LIBDIR "${CMAKE_INSTALL_LIBDIR}" )
else( )
  set( SYSTEM_LIBDIR "lib${LIB_SUFFIX}" )
endif( )
tde_restore( CMAKE_INSTALL_PREFIX )


##### check for compiler capabilities ###########

include( CheckCXXCompilerFlag )

check_cxx_compiler_flag( -Woverloaded-virtual WOVERLOADED_VIRTUAL )
if( WOVERLOADED_VIRTUAL )
  set( WOVERLOADED_VIRTUAL -Woverloaded-virtual )
endif( WOVERLOADED_VIRTUAL )

check_cxx_compiler_flag( -fno-builtin NO_BUILTIN )
if( NO_BUILTIN )

endif( NO_BUILTIN )


##### system checks #############################

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )

tde_save_and_set( CMAKE_REQUIRED_INCLUDES ${CMAKE_SOURCE_DIR}/libltdl )
check_include_file( "ltdl.h" HAVE_LTDL_H )
if( NOT HAVE_LTDL_H )
  tde_message_fatal( "ltdl.h is required, but not found on your system" )
endif( )
tde_restore( CMAKE_REQUIRED_INCLUDES )

check_include_file( "alloca.h" HAVE_ALLOCA_H )
check_include_file( "arpa/nameser8_compat.h" HAVE_ARPA_NAMESER8_COMPAT_H )
check_include_file( "awe_voice.h" HAVE_AWE_VOICE_H )
check_include_file( "Carbon/Carbon.h" HAVE_CARBON_CARBON_H )
check_include_file( "crt_externs.h" HAVE_CRT_EXTERNS_H )
check_include_file( "ctype.h" HAVE_CTYPE_H )
check_include_file( "dirent.h" HAVE_DIRENT_H )
check_include_file( "dld.h" HAVE_DLD_H )
check_include_file( "dlfcn.h" HAVE_DLFCN_H )
check_include_file( "dl.h" HAVE_DL_H )
check_include_files( "sys/types.h;sys/dl.h" HAVE_SYS_DL_H )
check_include_file( "float.h" HAVE_FLOAT_H )
check_include_file( "fstab.h" HAVE_FSTAB_H )
check_include_file( "ieeefp.h" HAVE_IEEEFP_H )
check_include_file( "inttypes.h" HAVE_INTTYPES_H )
check_include_file( "libutil.h" HAVE_LIBUTIL_H )
check_include_file( "limits.h" HAVE_LIMITS_H )
check_include_file( "linux/awe_voice.h" HAVE_LINUX_AWE_VOICE_H )
check_include_file( "locale.h" HAVE_LOCALE_H )
check_include_file( "machine/soundcard.h" HAVE_MACHINE_SOUNDCARD_H )
check_include_file( "malloc.h" HAVE_MALLOC_H )
check_include_file( "memory.h" HAVE_MEMORY_H )
check_include_file( "mntent.h" HAVE_MNTENT_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_file( "ndir.h" HAVE_NDIR_H )
check_include_file( "netinet/in.h" HAVE_NETINET_IN_H )
check_include_file( "net/if.h" HAVE_NET_IF_H )
if( NOT HAVE_NET_IF_H )
  find_path( NET_IF_PATH "net/if.h" )
  if( NET_IF_PATH )
    set( HAVE_NET_IF_H "1" )
  endif( )
endif( )
check_include_file( "paths.h" HAVE_PATHS_H )
check_include_file( "pty.h" HAVE_PTY_H )
check_include_file( "stdint.h" HAVE_STDINT_H )
check_include_file( "stdio.h" HAVE_STDIO_H )
check_include_file( "stdlib.h" HAVE_STDLIB_H )
check_include_file( "strings.h" HAVE_STRINGS_H )
check_include_file( "string.h" HAVE_STRING_H )
check_include_file( "sysent.h" HAVE_SYSENT_H )
check_include_file( "sys/acl.h" HAVE_SYS_ACL_H )
check_include_file( "sys/dir.h" HAVE_SYS_DIR_H )
check_include_file( "sys/filio.h" HAVE_SYS_FILIO_H )
check_include_file( "sys/mman.h" HAVE_SYS_MMAN_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_files( "stdio.h;sys/mnttab.h" HAVE_SYS_MNTTAB_H )
check_include_file( "sys/mount.h" HAVE_SYS_MOUNT_H )
if( NOT HAVE_SYS_MOUNT_H )
  find_path( SYS_MOUNT_PATH "sys/mount.h" )
  if( SYS_MOUNT_PATH )
    set( HAVE_SYS_MOUNT_H "1" )
  endif( )
endif( )
check_include_file( "sys/ndir.h" HAVE_SYS_NDIR_H )
check_include_file( "sys/param.h" HAVE_SYS_PARAM_H )
check_include_file( "sys/prctl.h" HAVE_SYS_PRCTL_H )
check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "sys/soundcard.h" HAVE_SYS_SOUNDCARD_H )
check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
check_include_file( "sys/stropts.h" HAVE_SYS_STROPTS_H )
check_include_file( "sys/types.h" HAVE_SYS_TYPES_H )
check_include_file( "sys/ucred.h" HAVE_SYS_UCRED_H )
if( NOT HAVE_SYS_UCRED_H )
  find_path( SYS_UCRED_PATH "sys/ucred.h" )
  if( SYS_UCRED_PATH )
    set( HAVE_SYS_UCRED_H 1 )
  endif( )
endif( )
check_include_file( "ucred.h" HAVE_UCRED_H )
if( NOT HAVE_UCRED_H )
  find_path( UCRED_PATH "ucred.h" )
  if( UCRED_PATH )
    set( HAVE_UCRED_H 1 )
  endif()
endif()
check_include_file( "sys/xattr.h" HAVE_SYS_XATTR_H )
check_include_file( "termios.h" HAVE_TERMIOS_H )
check_include_file( "termio.h" HAVE_TERMIO_H )
check_include_file( "unistd.h" HAVE_UNISTD_H )
check_include_file( "util.h" HAVE_UTIL_H )
check_include_file( "values.h" HAVE_VALUES_H )

# FIXME I'm not sure if test TIME_WITH_SYS_TIME are correct
check_include_file( "sys/time.h" HAVE_SYS_TIME_H )
check_include_file( "time.h" HAVE_TIME_H )
if( HAVE_SYS_TIME_H AND HAVE_TIME_H )
  set( TIME_WITH_SYS_TIME 1 )
endif( HAVE_SYS_TIME_H AND HAVE_TIME_H )

if( HAVE_SYS_ACL_H )
  check_include_file( "acl/libacl.h" HAVE_ACL_LIBACL_H )
  if( HAVE_ACL_LIBACL_H )
    check_library_exists( acl acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
      set( USE_POSIX_ACL 1 )
      set( HAVE_NON_POSIX_ACL_EXTENSIONS 1 )
      set( ACL_LIBRARIES acl attr )
    endif( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
  else( HAVE_ACL_LIBACL_H )
    check_library_exists( c acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT )
      set( USE_POSIX_ACL 1 )
      set( ACL_LIBRARIES c )
    endif( HAVE_ACL_INIT )
  endif( HAVE_ACL_LIBACL_H )
endif( HAVE_SYS_ACL_H )

check_include_file( "valgrind/memcheck.h" HAVE_VALGRIND_MEMCHECK_H )

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre13-0ubuntu24.10.0+3) oracular; urgency=low

  * Automated git build for 7b877f1ed7acdaef4d4a777491fbab814125bd29
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 09:25:47 +0100

=== debian/control ===
Source: tdelibs-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
 libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcups2-dev | libcupsys2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libopenexr-dev (>= 1.2.2-4.1), libpcre2-dev,
 libsasl2-dev, libxcomposite-dev, libdbus-1-tqt-dev,
 libtiff-dev, libwebp-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 texinfo, libogg-dev, libtqtinterface-dev,
 lsb-release, sudo, libr-dev,
 libudev-dev, libltdl-dev, libmagic-dev, libnm-dev, libpcsclite-dev,
 opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: tdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Provides: tdelibs
Conflicts: tdelibs
Depends: ${misc:Depends}, tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
 tdelibs-data-trinity (>= ${source:Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: tdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
Depends: ${misc:Depends}, hicolor-icon-theme
Provides: tdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Depends: ${shlibs:Depends}, ${misc:Depends}, tdelibs-data-trinity,
 netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
 libart-2.0-2 (>= 4:14.0.0~), perl, xauth
Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in tdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-imagetops-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: netpbm
Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
Description: core libraries and binaries for all TDE applications
 This package contains the imagetops binary needed for print filters.
 .
 This binary has been included as part of newer versions of the netpbm
 package. Therefore, to avoid conflict, it was separated from the
 tdelibs14-trinity package into a separate package.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libart-2.0-dev (>= 4:14.0.0~),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre2-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libsasl2-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
 libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
Recommends: libcups2-dev | libcupsys2-dev
Provides: tdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Provides: tdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Priority: optional
Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for tdelibs
 This package contains the debugging symbols associated with tdelibs.
 They will automatically be used by gdb for debugging tdelibs-related
 issues.

## tdelibs-trinity 14.2.0~pre273

=== tdecore/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( malloc )
add_subdirectory( network )
add_subdirectory( tdeconfig_compiler )
add_subdirectory( tests )

if( WITH_TDEHWLIB )
  add_subdirectory( tdehw )
  set( TDEHW_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tdehw )
endif( WITH_TDEHWLIB )

if( WITH_LIBART )
  add_subdirectory( svgicons )
  set( KDESVGICONS kdesvgicons-static )
endif( WITH_LIBART )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${TDEHW_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/libltdl
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_BINARY_DIR}/tdeio/kssl
  ${LIBART_INCLUDE_DIRS}
  ${LIBIDN_INCLUDE_DIRS}
  ${GAMIN_INCLUDEDIR}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)

##### headers ###################################

install( FILES
    tdeconfig.h tdeconfigskeleton.h tdeconfigdata.h tdesimpleconfig.h
    tdeconfigdialogmanager.h tdeconfigbase.h tdedesktopfile.h
    kurl.h ksock.h tdeaboutdata.h tdecmdlineargs.h tdeconfigbackend.h
    tdeapplication.h tdeuniqueapplication.h
    kcharsets.h tdeversion.h kpty.h tdeprocess.h tdeprocctrl.h
    tdelocale.h kicontheme.h kiconloader.h kdebug.h twinmodule.h
    twin.h krootprop.h tdeshortcut.h kkeynative.h tdeaccel.h
    tdeglobalaccel.h tdestdaccel.h tdeshortcutlist.h kcatalogue.h
    kregexp.h kcompletion.h kstringhandler.h
    tdestandarddirs.h tdeglobal.h tdeglobalsettings.h ksharedptr.h
    kallocator.h kvmallocator.h tdecrash.h krfcdate.h tdeinstance.h
    kpalette.h kipc.h klibloader.h tdetempfile.h ksavefile.h
    krandomsequence.h knotifyclient.h kiconeffect.h kaudioplayer.h
    kdcoppropertyproxy.h netwm.h tdeaccelmanager.h netwm_def.h
    kpixmapprovider.h kunload.h kstaticdeleter.h kextsock.h
    kextendedsocket.h ksockaddr.h tdeprocio.h kasyncio.h kbufferedio.h
    kurldrag.h kmimesourcefactory.h kmdcodec.h ksocks.h tdesycoca.h
    tdesycocaentry.h tdesycocatype.h kxmessages.h tdestartupinfo.h
    klargefile.h tdemultipledrag.h kgenericfactory.h kgenericfactory.tcc
    ktypelist.h ksortablevaluelist.h kdebugclasses.h kclipboard.h
    kcalendarsystem.h kcalendarsystemfactory.h kmacroexpander.h
    kmanagerselection.h kmountpoint.h kuser.h klockfile.h
    kidna.h ktempdir.h kshell.h fixx11h.h kxerrorhandler.h
    tdelibs_export.h kde_file.h ktimezones.h
    ${CMAKE_CURRENT_BINARY_DIR}/tdemacros.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

tde_create_translated_desktop(
  SOURCE all_languages.desktop
  DESTINATION ${LOCALE_INSTALL_DIR}
  OUTPUT_NAME all_languages
)

install( FILES 40.colors Web.colors Royal.colors Rainbow.colors
  DESTINATION ${CONFIG_INSTALL_DIR}/colors )

install( FILES kdebug.areas kdebugrc language.codes
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES kmdcodec_compat.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeio RENAME kmdcodec.h )

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knotify
  PO_DIR tdecore-eventsrc
)

##### libtdecore ################################

set( target tdecore )

set( ${target}_SRCS
  libintl.cpp tdeapplication.cpp kdebug.cpp netwm.cpp
  tdeconfigbase.cpp tdeconfig.cpp tdesimpleconfig.cpp tdeconfigbackend.cpp
  kmanagerselection.cpp tdedesktopfile.cpp tdestandarddirs.cpp
  ksock.cpp kpty.cpp tdeprocess.cpp tdeprocctrl.cpp tdelocale.cpp
  krfcdate.cpp kiconeffect.cpp kicontheme.cpp kiconloader.cpp
  twin.cpp twinmodule.cpp krootprop.cpp kcharsets.cpp
  kckey.cpp tdeshortcut.cpp kkeynative_x11.cpp kkeyserver_x11.cpp
  tdeaccelaction.cpp tdeshortcutmenu.cpp tdeaccelbase.cpp tdeaccel.cpp
  tdeglobalaccel_x11.cpp tdeglobalaccel.cpp tdestdaccel.cpp tdeshortcutlist.cpp
  tdecrash.cpp kurl.cpp kregexp.cpp tdeglobal.cpp tdeglobalsettings.cpp
  kallocator.cpp kvmallocator.cpp kmimesourcefactory.cpp
  tdeinstance.cpp kpalette.cpp kipc.cpp klibloader.cpp tdetempfile.cpp
  tdeuniqueapplication.cpp tdeaccelmanager.cpp ksavefile.cpp
  krandomsequence.cpp kstringhandler.cpp kcompletion.cpp
  tdecmdlineargs.cpp tdeaboutdata.cpp kcompletionbase.cpp knotifyclient.cpp
  kaudioplayer.cpp kdcoppropertyproxy.cpp ksockaddr.cpp
  kextsock.cpp netsupp.cpp tdeprocio.cpp kbufferedio.cpp
  kpixmapprovider.cpp kurldrag.cpp kmdcodec.cpp ksocks.cpp
  fakes.c vsnprintf.c tdesycoca.cpp tdesycocadict.cpp tdesycoca.skel
  tdesycocafactory.cpp kxmessages.cpp tdestartupinfo.cpp
  kcatalogue.cpp kasyncio.cpp tdemultipledrag.cpp kstaticdeleter.cpp
  tdeappdcopinterface.cpp tdeappdcopinterface.skel kclipboard.cpp
  kcheckaccelerators.cpp tdeversion.cpp kdebugdcopiface.cpp
  kdebugdcopiface.skel kcalendarsystem.cpp kcalendarsystemgregorian.cpp
  kcalendarsystemhijri.cpp kcalendarsystemhebrew.cpp
  kcalendarsystemfactory.cpp kmacroexpander.cpp kidna.cpp
  ktempdir.cpp kshell.cpp kmountpoint.cpp kcalendarsystemjalali.cpp
  kprotocolinfo_tdecore.cpp kprotocolinfofactory.cpp kxerrorhandler.cpp
  kuser.cpp tdeconfigskeleton.cpp tdeconfigdialogmanager.cpp klockfile.cpp
  kqiodevicegzip_p.cpp ktimezones.cpp ksimpledirwatch.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 14.1.0
  EMBED tdecorenetwork-static
  LINK DCOP-shared tdefx-shared ICE SM ${ZLIB_LIBRARIES} ${RESOLV_LIBRARIES}
  LINK_PRIVATE ltdlc-static ${KDESVGICONS} ${XCOMPOSITE_LIBRARIES}
    ${LIBIDN_LIBRARIES} ${LIBBFD_LIBRARIES} ${LIB_UTIL} ${GAMIN_LIBRARIES}
    ${Backtrace_LIBRARY}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdefakes_nonpic ###########################

set( target tdefakes_nonpic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)

##### tdefakes_pic ##############################

set( target tdefakes_pic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC_PIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libtdefakes ###############################

set( target tdefakes )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 14.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tde-config ################################

# FIXME still need some research and improvements
configure_file( tde-config.cpp.cmake tde-config.cpp @ONLY )


tde_add_executable( tde-config
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/tde-config.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kgrantpty #################################

# FIXME there is something named KDE_USE_FPIE, I'm not sure what is this
#set_target_properties( kgrantpty PROPERTIES COMPILE_FLAGS ${KDE_USE_FPIE} )
#set_target_properties( kgrantpty PROPERTIES LINK_FLAGS ${KDE_USE_FPIE} )

tde_add_executable(kgrantpty SETUID
  SOURCES kgrantpty.c
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kdetcompmgr #################################

tde_add_executable( kdetcompmgr
  SOURCES kdetcompmgr.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== dcop/KDE-ICE/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DICE_t
  -DTRANS_SERVER
  -DTRANS_CLIENT
  -DUNIXCONN
  -DANSICPP
)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${TQT_INCLUDE_DIRS}
)


##### kICE ######################################

set( target kICE )

set( ${target}_SRCS
  accept.c authutil.c connect.c error.c getauth.c
  iceauth.c listen.c listenwk.c locking.c misc.c
  ping.c process.c protosetup.c register.c replywait.c
  setauth.c shutdown.c watch.c transport.c globals.c
)

tde_add_library( ${target} STATIC_PIC
  SOURCES ${${target}_SRCS}
)

=== tdecore/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)

tde_add_library( tdeconfigtest SHARED AUTOMOC
  SOURCES tdeconfigtest.cpp
  LINK tdeunittest-shared
  EXCLUDE_FROM_ALL
)

set( AUTOMATED_CHECKS
  kcharsetstest kglobaltest kmacroexpandertest krfcdatetest
  kstringhandlertest kurltest tdestdacceltest

  # cplusplustest        # -- skip (doesn't error on errors)
  # tdesimpleconfigtest  # -- skip (doesn't error on errors)
  # ksortablevaluelist   # -- skip (doesn't error on errors)
  # ksocktest            # -- skip due to DNS failure
)

# Tests that require some graphical interaction / confirmation.
set( MANUAL_CHECKS_GUI
  kdebugtest klocaletest knotifytest kxerrorhandlertest
  startserviceby tdeconfigtestgui tdeprocesstest testqtargs
)

# Tests that require some interaction using a terminal
set( MANUAL_CHECKS_TUI
  dcopkonqtest kcalendartest kcmdlineargstest kiconloadertest
  kipctest kmemtest krandomsequencetest kresolvertest
  kmdcodectest kshelltest ktempfiletest ktimezonestest
  tdeapptest tdeprociotest tdestandarddirstest tdeuniqueapptest
)

foreach( _check ${AUTOMATED_CHECKS} )
  tde_add_check_executable( ${_check} AUTOMOC LINK tdeconfigtest-shared TEST )
endforeach( )

foreach( _check ${MANUAL_CHECKS_GUI})
  tde_add_check_executable( ${_check} AUTOMOC LINK tdeconfigtest-shared )
endforeach()

foreach( _check ${MANUAL_CHECKS_TUI})
  tde_add_check_executable( ${_check} AUTOMOC LINK tdeconfigtest-shared )
endforeach()

tde_add_check_executable( kidlservertest AUTOMOC SOURCES KIDLTest.cpp KIDLTest.skel
  LINK tdeconfigtest-shared )
tde_add_check_executable( kidlclienttest AUTOMOC SOURCES KIDLTestClient.cpp
  KIDLTest.stub LINK tdeconfigtest-shared )

set_property(
  SOURCE KIDLTestClient.cpp
  APPEND PROPERTY
  OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/KIDLTest_stub.cpp
)

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre273-0ubuntu20.04.0+32) focal; urgency=low

  * Automated git build for aaea842e5720568ae365e2e0cf9468a4b028793b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
- libattr1-dev, libasound2-dev [!hurd-i386],
- aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcups2-dev | libcupsys2-dev,
+ libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libopenexr-dev (>= 1.2.2-4.1), libpcre2-dev,
  libsasl2-dev, libxcomposite-dev, libdbus-1-tqt-dev,
  libtiff-dev, libwebp-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
  libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
- texinfo, libogg-dev, libtqtinterface-dev,
- lsb-release, sudo, libr-dev,
+ texinfo, libogg-dev, libtqt3-mt-dev,
+ lsb-release, base-files, sudo, libr-dev,
  libudev-dev, libltdl-dev, libmagic-dev, libnm-dev, libpcsclite-dev,
  opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
-Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
+Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
 Standards-Version: 3.8.3
 
 Package: tdelibs-trinity
@@ -28,8 +28,7 @@
 Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Provides: tdelibs
-Conflicts: tdelibs
-Depends: ${misc:Depends}, tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
+Depends: tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
  tdelibs-data-trinity (>= ${source:Version})
 Description: core libraries from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -46,8 +45,8 @@
 Architecture: all
 Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
-Depends: ${misc:Depends}, hicolor-icon-theme
+Conflicts: kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
+Depends: hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
  This package contains all the architecture independent data files
@@ -62,11 +61,12 @@
 Architecture: any
 Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
-Depends: ${shlibs:Depends}, ${misc:Depends}, tdelibs-data-trinity,
+Depends: ${shlibs:Depends}, tdelibs-data-trinity,
  netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
- libart-2.0-2 (>= 4:14.0.0~), perl, xauth
+ libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
 Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
 Suggests: fam, perl-suid
+Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
 Description: core libraries and binaries for all TDE applications
  This package contains all the shared libraries and common core binaries
  used by all TDE applications. You need these libraries and binaries to
@@ -81,7 +81,7 @@
 Package: tdelibs14-imagetops-trinity
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Recommends: netpbm
 Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
 Description: core libraries and binaries for all TDE applications
@@ -99,7 +99,7 @@
 Architecture: any
 Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
-Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libart-2.0-dev (>= 4:14.0.0~),
+Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
  libaspell-dev, hspell, libbz2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
@@ -107,9 +107,9 @@
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libsasl2-dev, libxcomposite-dev,
  libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
- libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
+ libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqt3-mt-dev,
  libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
-Recommends: libcups2-dev | libcupsys2-dev
+Recommends: libcupsys2-dev | libcups2-dev
 Provides: tdelibs-trinity-dev
 Description: development files for the TDE core libraries
  This package contains all the headers and other related files needed
@@ -122,7 +122,6 @@
 Package: tdelibs14-trinity-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
 Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Provides: tdelibs-trinity-doc
@@ -139,9 +138,9 @@
 Architecture: any
 Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
 Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
-Priority: optional
+Priority: extra
 Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
-Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
+Depends: tdelibs14-trinity (= ${source:Version}), libc6-dbg [amd64]
 Description: debugging symbols for tdelibs
  This package contains the debugging symbols associated with tdelibs.
  They will automatically be used by gdb for debugging tdelibs-related

## tdelibs-trinity 14.2.0~pre274

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre274-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 884aff988556c5271eb829768b17d27052a08763
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 19 Nov 2025 14:49:53 +0100

## tdelibs-trinity 14.2.0~pre275

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre275-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 76cfb598bbcb7d13f4e387d1fd25392e0fa09f54
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 30 Nov 2025 12:35:53 +0100

## tdelibs-trinity 14.2.0~pre276

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre276-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for fddc7b09ea451055679e497349aaaa03092f4704
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 15:00:35 +0100

## tdelibs-trinity 14.2.0~pre279

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre279-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 689daa17b1e94f06aba3b6762d501a794efe92ad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:33 +0100

## tdelibs-trinity 14.2.0~pre282

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre282-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for e0345f8f9b6742e10b54187f915a784d5fd385bc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:47 +0100

## tdelibs-trinity 14.2.0~pre284

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre284-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for e45dc6c626534011f9f7383a5f1c26c35b96cc75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:16 +0100

## tdelibs-trinity 14.2.0~pre286

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre286-0ubuntu26.04.0+35~a) resolute; urgency=low

  * Automated git build for 3a6952a31d14fb53ca8ca409271d2b284c460132
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 02:58:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
- libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
+ libattr1-dev, libasound2-dev [!hurd-i386],
+ aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcups2-dev | libcupsys2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libopenexr-dev (>= 1.2.2-4.1), libpcre2-dev,
@@ -16,7 +16,7 @@
  libtiff-dev, libwebp-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
  libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
  texinfo, libogg-dev, libtqt3-mt-dev,
- lsb-release, base-files, sudo, libr-dev,
+ lsb-release, sudo, libr-dev,
  libudev-dev, libltdl-dev, libmagic-dev, libnm-dev, libpcsclite-dev,
  opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
@@ -28,7 +28,7 @@
 Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Provides: tdelibs
-Depends: tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
+Depends: ${misc:Depends}, tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
  tdelibs-data-trinity (>= ${source:Version})
 Description: core libraries from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -46,7 +46,7 @@
 Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
 Conflicts: kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
-Depends: hicolor-icon-theme
+Depends: ${misc:Depends}, hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
  This package contains all the architecture independent data files
@@ -61,9 +61,9 @@
 Architecture: any
 Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
-Depends: ${shlibs:Depends}, tdelibs-data-trinity,
+Depends: ${shlibs:Depends}, ${misc:Depends}, tdelibs-data-trinity,
  netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
- libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
+ libart-2.0-2 (>= 4:14.0.0~), perl, xauth
 Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
 Suggests: fam, perl-suid
 Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
@@ -81,7 +81,7 @@
 Package: tdelibs14-imagetops-trinity
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: netpbm
 Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
 Description: core libraries and binaries for all TDE applications
@@ -99,7 +99,7 @@
 Architecture: any
 Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
-Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
+Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
  libaspell-dev, hspell, libbz2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
@@ -109,7 +109,7 @@
  libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
  libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqt3-mt-dev,
  libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
-Recommends: libcupsys2-dev | libcups2-dev
+Recommends: libcups2-dev | libcupsys2-dev
 Provides: tdelibs-trinity-dev
 Description: development files for the TDE core libraries
  This package contains all the headers and other related files needed
@@ -122,6 +122,7 @@
 Package: tdelibs14-trinity-doc
 Section: doc
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Provides: tdelibs-trinity-doc
@@ -138,9 +139,9 @@
 Architecture: any
 Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
 Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
-Priority: extra
+Priority: optional
 Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
-Depends: tdelibs14-trinity (= ${source:Version}), libc6-dbg [amd64]
+Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libc6-dbg [amd64]
 Description: debugging symbols for tdelibs
  This package contains the debugging symbols associated with tdelibs.
  They will automatically be used by gdb for debugging tdelibs-related
